Altibase.jdbc.driver.util

## Class AltibaseProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - Altibase.jdbc.driver.util.CaseInsensitiveProperties
        - - Altibase.jdbc.driver.util.AltibaseProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class AltibaseProperties
    extends CaseInsensitiveProperties

Altibase용 `Properties` 클래스.

대소문자를 구별하지 않는 문자열을 키값으로 쓰며, 편의를 위해 속성 값을 `int`나 `boolean`과 같은 값으로 얻거나 설정하는 메소드를 제공한다.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DB_TIME_ZONE`
`static boolean` `DEFAULT_AUTO_COMMIT`
`static boolean` `DEFAULT_BATCH_SET_BYTES_USE_LOB`
`static boolean` `DEFAULT_CLIENT_SIDE_AUTO_COMMIT`
`static java.lang.String` `DEFAULT_CONNTYPE`
`static java.lang.String` `DEFAULT_DBNAME`
`static boolean` `DEFAULT_DEFERRED_PREPARE`
`static boolean` `DEFAULT_FAILOVER_USE_STF`
`static java.lang.String` `DEFAULT_FETCH_ASYNC`
`static boolean` `DEFAULT_FETCH_AUTO_TUNING`
`static int` `DEFAULT_FETCH_AUTO_TUNING_INIT`
`static int` `DEFAULT_FETCH_AUTO_TUNING_MAX`
`static int` `DEFAULT_FETCH_AUTO_TUNING_MIN`
`static int` `DEFAULT_FETCH_ENOUGH` 딱히 갯수를 정해두지 않고, 한번 통신으로 얻을 수 있을 만큼 얻는다.
`static boolean` `DEFAULT_FORCE_CLOB_BIND`
`static int` `DEFAULT_IB_CONCHKSPIN`
`static int` `DEFAULT_IB_LATENCY`
`static int` `DEFAULT_IB_PORT`
`static boolean` `DEFAULT_LOAD_BALANCE`
`static int` `DEFAULT_LOGIN_TIMEOUT`
`static boolean` `DEFAULT_NCHAR_LITERAL_REPLACE`
`static int` `DEFAULT_PORT`
`static boolean` `DEFAULT_PREFER_IPV6`
`static int` `DEFAULT_REMOVE_REDUNDANT_TRANSMISSION`
`static java.lang.String` `DEFAULT_SERVER`
`static int` `DEFAULT_SHARD_TRANSACTION_LEVEL`
`static int` `DEFAULT_SOCK_RCVBUF_BLOCK_RATIO`
`static boolean` `DEFAULT_SSL_ENABLE`
`static int` `DEFAULT_SSL_PORT`
`static java.lang.String` `DEFAULT_TIME_ZONE`
`static java.lang.String` `LOCAL_TIME_ZONE`
`static int` `MAX_FETCH_ENOUGH`
`static int` `MAX_LOB_CACHE_THRESHOLD`
`static int` `MAX_SOCK_RCVBUF_BLOCK_RATIO`
`static int` `MIN_LOB_CACHE_THRESHOLD`
`static int` `MIN_SOCK_RCVBUF_BLOCK_RATIO`
`static java.lang.String` `PROP_ALT_SERVERS` Failover를 위한 대안 서버 목록
`static java.lang.String` `PROP_APP_INFO`
`static java.lang.String` `PROP_AUTO_COMMIT`
`static java.lang.String` `PROP_BATCH_SET_BYTES_USE_LOB`
`static java.lang.String` `PROP_CLIENT_SIDE_AUTO_COMMIT` Client Side Auto Commit 여부
`static byte` `PROP_CODE_APP_INFO`
`static byte` `PROP_CODE_AUTOCOMMIT`
`static byte` `PROP_CODE_CLIENT_PACKAGE_VERSION`
`static byte` `PROP_CODE_CLIENT_PID`
`static byte` `PROP_CODE_CLIENT_PROTOCOL_VERSION`
`static byte` `PROP_CODE_CLIENT_TYPE`
`static byte` `PROP_CODE_DATE_FORMAT`
`static byte` `PROP_CODE_DDL_TIMEOUT`
`static byte` `PROP_CODE_ENDIAN`
`static byte` `PROP_CODE_EXPLAIN_PLAN`
`static byte` `PROP_CODE_FAILOVER_SOURCE`
`static byte` `PROP_CODE_FETCH_PROTOCOL_TYPE`
`static byte` `PROP_CODE_FETCH_TIMEOUT`
`static byte` `PROP_CODE_HEADER_DISPLAY_MODE`
`static byte` `PROP_CODE_IDLE_TIMEOUT`
`static byte` `PROP_CODE_ISOLATION_LEVEL`
`static byte` `PROP_CODE_LOB_CACHE_THRESHOLD`
`static byte` `PROP_CODE_MAX`
`static byte` `PROP_CODE_MAX_STATEMENTS_PER_SESSION`
`static byte` `PROP_CODE_MESSAGE_CALLBACK`
`static byte` `PROP_CODE_NLS`
`static byte` `PROP_CODE_NLS_CHARACTERSET`
`static byte` `PROP_CODE_NLS_NCHAR_CHARACTERSET`
`static byte` `PROP_CODE_NLS_NCHAR_LITERAL_REPLACE`
`static byte` `PROP_CODE_NORMALFORM_MAXIMUM`
`static byte` `PROP_CODE_OPTIMIZER_MODE`
`static byte` `PROP_CODE_QUERY_TIMEOUT`
`static byte` `PROP_CODE_REMOVE_REDUNDANT_TRANSMISSION`
`static byte` `PROP_CODE_SERVER_PACKAGE_VERSION`
`static byte` `PROP_CODE_SHARD_CLIENT`
`static byte` `PROP_CODE_SHARD_CLIENT_CONNECTION_REPORT`
`static byte` `PROP_CODE_SHARD_META_NUMBER`
`static byte` `PROP_CODE_SHARD_NODE_NAME`
`static byte` `PROP_CODE_SHARD_PIN`
`static byte` `PROP_CODE_SHARD_SESSION_TYPE`
`static byte` `PROP_CODE_SHARD_TRANSACTION_LEVEL`
`static byte` `PROP_CODE_STACK_SIZE`
`static byte` `PROP_CODE_TIME_ZONE`
`static byte` `PROP_CODE_UTRANS_TIMEOUT`
`static java.lang.String` `PROP_CONNECT_MODE`
`static java.lang.String` `PROP_CONNTYPE` PROJ-2681
`static java.lang.String` `PROP_CTF_RETRY_COUNT`
`static java.lang.String` `PROP_CTF_RETRY_DELAY`
`static java.lang.String` `PROP_DATASOURCE_NAME`
`static java.lang.String` `PROP_DATE_FORMAT`
`static java.lang.String` `PROP_DBNAME`
`static java.lang.String` `PROP_DDL_TIMEOUT` DDL 수행 제한 시간(초 단위)(Server side).
`static java.lang.String` `PROP_DEFERRED_PREPARE` deferred prepare 사용 여부
`static java.lang.String` `PROP_DESCRIPTION`
`static java.lang.String` `PROP_FAILOVER_SOURCE`
`static java.lang.String` `PROP_FAILOVER_USE_STF`
`static java.lang.String` `PROP_FETCH_ASYNC`
`static java.lang.String` `PROP_FETCH_AUTO_TUNING`
`static java.lang.String` `PROP_FETCH_AUTO_TUNING_INIT`
`static java.lang.String` `PROP_FETCH_AUTO_TUNING_MAX`
`static java.lang.String` `PROP_FETCH_AUTO_TUNING_MIN`
`static java.lang.String` `PROP_FETCH_ENOUGH` Statement를 만들 때 기본으로 사용할 Fetch Size
`static java.lang.String` `PROP_FETCH_TIMEOUT` FETCH 수행 제한 시간(초 단위)(Server side).
`static java.lang.String` `PROP_FORCE_CLOB_BIND`
`static java.lang.String` `PROP_GETCOLUMNS_RETURN_JDBCTYPE`
`static java.lang.String` `PROP_GETPROCEDURES_RETURN_FUNCTIONS`
`static java.lang.String` `PROP_IB_CONCHKSPIN`
`static java.lang.String` `PROP_IB_LATENCY`
`static java.lang.String` `PROP_IDLE_TIMEOUT` 세션 유휴 제한 시간(초 단위)(Server side).
`static java.lang.String` `PROP_LOAD_BALANCE`
`static java.lang.String` `PROP_LOB_CACHE_THRESHOLD`
`static java.lang.String` `PROP_LOB_NULL_SELECT`
`static java.lang.String` `PROP_LOGIN_TIMEOUT` connect를 시도할 때의 timeout(초 단위)(Client side)
`static java.lang.String` `PROP_MAX_STATEMENTS_PER_SESSION` 한 session당 생성할수 있는 최대 statement 갯수 제약
`static java.lang.String` `PROP_NCHAR_LITERAL_REPLACE`
`static java.lang.String` `PROP_PASSWORD`
`static java.lang.String` `PROP_PORT`
`static java.lang.String` `PROP_PREFER_IPV6`
`static java.lang.String` `PROP_QUERY_TIMEOUT` 쿼리 수행 제한 시간(초 단위)(Server side).
`static java.lang.String` `PROP_REMOVE_REDUNDANT_TRANSMISSION`
`static java.lang.String` `PROP_RESHARD_ENABLE`
`static java.lang.String` `PROP_RESPONSE_TIMEOUT` connect후 서버로부터의 모든 응답 receive 대기 시간(초 단위)(Client side)
`static java.lang.String` `PROP_REUSE_RESULTSET`
`static java.lang.String` `PROP_SERVER`
`static java.lang.String` `PROP_SHARD_CLIENT`
`static java.lang.String` `PROP_SHARD_CONNTYPE`
`static java.lang.String` `PROP_SHARD_LAZYCONNECT`
`static java.lang.String` `PROP_SHARD_META_NUMBER`
`static java.lang.String` `PROP_SHARD_NODE_NAME`
`static java.lang.String` `PROP_SHARD_PIN`
`static java.lang.String` `PROP_SHARD_SESSION_TYPE`
`static java.lang.String` `PROP_SHARD_TRANSACTION_LEVEL`
`static java.lang.String` `PROP_SOCK_BIND_ADDR`
`static java.lang.String` `PROP_SOCK_RCVBUF_BLOCK_RATIO`
`static java.lang.String` `PROP_SSL_ENABLE` PROJ-2474 ssl 보안 통신을 사용할지 여부
`static java.lang.String` `PROP_TIME_ZONE`
`static java.lang.String` `PROP_TXI_LEVEL`
`static java.lang.String` `PROP_USER`
`static java.lang.String` `PROP_UTRANS_TIMEOUT` 변경 연산(UPDATE, INSERT, DELETE) 수행 제한 시간(초 단위)(Server side).
`static java.lang.String` `PROP_VALUE_FETCH_ASYNC_OFF`
`static java.lang.String` `PROP_VALUE_FETCH_ASYNC_PREFERRED`
`static java.lang.String` `RANGE_FETCH_ENOUGH`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseProperties()`
`AltibaseProperties(java.util.Properties aProp)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected java.util.Properties` `createProperties()`
`boolean` `forceClobBind()`
`java.lang.String` `getAlternateServer()`
`java.lang.String` `getAppInfo()`
`boolean` `getBatchSetBytesUseLob()`
`boolean` `getBooleanProperty(java.lang.String aKey)` 속성 값을 `booelan`으로 얻는다.
`boolean` `getBooleanProperty(java.lang.String aKey, boolean aDefaultValue)` 속성 값을 `booelan`으로 얻는다.
`int` `getConnectionRetryCount()`
`void` `getConnectionRetryCount(int aConnectionRetryCount)`
`int` `getConnectionRetryDelay()`
`java.lang.String` `getConnType()`
`java.lang.String` `getDatabase()`
`java.lang.String` `getDataSource()`
`java.lang.String` `getDateFormat()`
`java.lang.String` `getDescription()`
`java.lang.String` `getFailoverSource()`
`java.lang.String` `getFetchAsync()` Property 로 설정된 비동기 fetch 방식을 얻는다.
`int` `getFetchAutoTuningInit()` Property 로 설정된 auto-tuning 시작시 초기 prefetch rows 를 얻는다.
`int` `getFetchAutoTuningMax()` Property 로 설정된 auto-tuning 동작시 최대 제한 크기의 prefetch rows 를 얻는다.
`int` `getFetchAutoTuningMin()` Property 로 설정된 auto-tuning 동작시 최소 제한 크기의 prefetch rows 를 얻는다.
`int` `getFetchEnough()`
`int` `getFetchTimeout()`
`int` `getIBConChkSpin()`
`int` `getIBLatency()`
`int` `getIdleTimeout()`
`int` `getIntProperty(java.lang.String aKey)` 속성 값을 `int`로 얻는다.
`int` `getIntProperty(java.lang.String aKey, int aDefaultValue)` 속성 값을 `int`로 얻는다.
`int` `getIsolationLevel()`
`int` `getLobCacheThreshold()`
`int` `getLoginTimeout()`
`long` `getLongProperty(java.lang.String aKey)` 속성 값을 `long`로 얻는다.
`long` `getLongProperty(java.lang.String aKey, long aDefaultValue)` 속성 값을 `long`으로 얻는다.
`int` `getMaxStatementsPerSession()`
`java.lang.String` `getPassword()`
`int` `getPort()`
`java.lang.String` `getPrivilege()`
`void` `getPrivilege(java.lang.String aPrivilege)`
`int` `getQueryTimeout()`
`int` `getResponseTimeout()`
`java.lang.String` `getServer()`
`byte` `getShardClient()`
`java.lang.String` `getShardConnType()`
`java.lang.String` `getShardNodeName()`
`long` `getShardPin()`
`byte` `getShardSessionType()`
`ShardTransactionLevel` `getShardTransactionLevel()`
`short` `getShortProperty(java.lang.String aKey)` 속성 값을 `short`으로 얻는다.
`short` `getShortProperty(java.lang.String aKey, short aDefaultValue)` 속성 값을 `short`으로 얻는다.
`java.lang.String` `getSockBindAddr()`
`int` `getSockRcvBufBlockRatio()` Property 로 설정한 socket receive buffer 크기의 CM block 비율을 얻는다.
`java.lang.String` `getTimeZone()`
`java.lang.String` `getUser()`
`int` `getUtransTimeout()`
`boolean` `isAutoCommit()`
`boolean` `isClientSideAutoCommit()` ClientAutoCommit이 셋팅되어 있는지 확인한다.
`boolean` `isDeferredPrepare()` Deferred Prepare가 활성화 되어 있는지 확인한다.
`boolean` `isFetchAutoTuning()` Property 로 설정된 auto-tuning 활성화 여부를 확인한다.
`boolean` `isOnRedundantDataTransmission()`
`boolean` `isPreferIPv6()`
`boolean` `isReshardEnabled()`
`boolean` `isSet(java.lang.String aKey)`
`boolean` `isShardLazyConnectEnabled()`
`java.lang.Object` `put(java.lang.Object aKey, java.lang.Object aValue)`
`void` `setAlternateServer(java.lang.String aAlternateServer)`
`void` `setAppInfo(java.lang.String aAppInfo)`
`void` `setAutoCommit(boolean aAutoCommit)`
`void` `setConnectionRetryDelay(int aConnectionRetryDelay)`
`void` `setConnType(java.lang.String aConnType)`
`void` `setDatabase(java.lang.String aDatabase)`
`void` `setDataSource(java.lang.String aDataSource)`
`void` `setDateFormat(java.lang.String aDateFormat)`
`void` `setDescription(java.lang.String aDescription)`
`void` `setFailoverSource(java.lang.String aFailoverSource)`
`void` `setFetchAutoTuning(boolean aIsFetchAutoTuning)` Property 에 fetch auto-tuning 여부를 설정한다.
`void` `setFetchEnough(int aFetchEnough)`
`void` `setFetchTimeout(int aFetchTimeout)`
`void` `setIdleTimeout(int aIdleTimeout)`
`void` `setIsolationLevel(int aIsolationLevel)`
`void` `setLoadBalance(boolean aLoadBalance)`
`void` `setLoginTimeout(int aLoginTimeout)`
`void` `setMaxStatementsPerSession(int aMaxStatementsPerSession)`
`void` `setNCharLiteralReplace(boolean aNCharLiteralReplace)`
`void` `setPassword(java.lang.String aPassword)`
`void` `setPort(int aPort)`
`void` `setPreferIPv6(boolean aPreferIPv6)`
`java.lang.Object` `setProperty(java.lang.String aKey, boolean aValue)` `boolean`으로 속성값을 설정한다.
`java.lang.Object` `setProperty(java.lang.String aKey, int aValue)` `int`으로 속성값을 설정한다.
`java.lang.Object` `setProperty(java.lang.String aKey, short aValue)` `short`으로 속성값을 설정한다.
`void` `setQueryTimeout(int aQueryTimeout)`
`void` `setResponseTimeout(int aResponseTimeout)`
`void` `setServer(java.lang.String aServer)`
`void` `setSessionFailover(boolean aSessionFailover)`
`void` `setSockBindAddr(java.lang.String aSockBindAddr)`
`void` `setSockRcvBufBlockRatio(int aSockRcvBufBlockRatio)` Property 에 socket receive buffer 크기의 CM block 비율을 설정한다.
`void` `setTimeZone(java.lang.String aTimeZone)`
`void` `setUser(java.lang.String aUser)`
`void` `setUtransTimeout(int aUtransTimeout)`
`void` `sslEnabledToConnType()`
`java.sql.DriverPropertyInfo[]` `toPropertyInfo()`
`static java.sql.DriverPropertyInfo[]` `toPropertyInfo(java.util.Properties aProp)`
`boolean` `useLoadBalance()`
`boolean` `useNCharLiteralReplace()`
`boolean` `useSessionFailover()`
`static AltibaseProperties` `valueOf(java.lang.String aPropStr)` 문자열을 객체로 변환한다.

### Methods inherited from class Altibase.jdbc.driver.util.CaseInsensitiveProperties

`containsKey, get, getDefaults, getProperty, putAll, putAllExceptExist, remove`

### Methods inherited from class java.util.Properties

`getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PROP_SERVER

    public static final java.lang.String PROP_SERVER

See Also:
  Constant Field Values

#### PROP_SOCK_BIND_ADDR

    public static final java.lang.String PROP_SOCK_BIND_ADDR

See Also:
  Constant Field Values

#### PROP_PORT

    public static final java.lang.String PROP_PORT

See Also:
  Constant Field Values

#### PROP_DBNAME

    public static final java.lang.String PROP_DBNAME

See Also:
  Constant Field Values

#### PROP_USER

    public static final java.lang.String PROP_USER

See Also:
  Constant Field Values

#### PROP_PASSWORD

    public static final java.lang.String PROP_PASSWORD

See Also:
  Constant Field Values

#### PROP_CONNECT_MODE

    public static final java.lang.String PROP_CONNECT_MODE

See Also:
  Constant Field Values

#### PROP_DESCRIPTION

    public static final java.lang.String PROP_DESCRIPTION

See Also:
  Constant Field Values

#### PROP_DATASOURCE_NAME

    public static final java.lang.String PROP_DATASOURCE_NAME

See Also:
  Constant Field Values

#### PROP_LOGIN_TIMEOUT

    public static final java.lang.String PROP_LOGIN_TIMEOUT

connect를 시도할 때의 timeout(초 단위)(Client side)

See Also:
  Constant Field Values

#### PROP_RESPONSE_TIMEOUT

    public static final java.lang.String PROP_RESPONSE_TIMEOUT

connect후 서버로부터의 모든 응답 receive 대기 시간(초 단위)(Client side)

See Also:
  Constant Field Values

#### PROP_QUERY_TIMEOUT

    public static final java.lang.String PROP_QUERY_TIMEOUT

쿼리 수행 제한 시간(초 단위)(Server side). 알티베이스 프로퍼티 QUERY_TIMEOUT 참고.

See Also:
  Constant Field Values

#### PROP_IDLE_TIMEOUT

    public static final java.lang.String PROP_IDLE_TIMEOUT

세션 유휴 제한 시간(초 단위)(Server side). 알티베이스 프로퍼티 IDLE_TIMEOUT 참고.

See Also:
  Constant Field Values

#### PROP_FETCH_TIMEOUT

    public static final java.lang.String PROP_FETCH_TIMEOUT

FETCH 수행 제한 시간(초 단위)(Server side). 알티베이스 프로퍼티 FETCH_TIMEOUT 참고.

See Also:
  Constant Field Values

#### PROP_UTRANS_TIMEOUT

    public static final java.lang.String PROP_UTRANS_TIMEOUT

변경 연산(UPDATE, INSERT, DELETE) 수행 제한 시간(초 단위)(Server side). 알티베이스 프로퍼티 UTRANS_TIMEOUT 참고.

See Also:
  Constant Field Values

#### PROP_DDL_TIMEOUT

    public static final java.lang.String PROP_DDL_TIMEOUT

DDL 수행 제한 시간(초 단위)(Server side). 알티베이스 프로퍼티 DDL_TIMEOUT 참고.

See Also:
  Constant Field Values

#### PROP_AUTO_COMMIT

    public static final java.lang.String PROP_AUTO_COMMIT

See Also:
  Constant Field Values

#### PROP_DATE_FORMAT

    public static final java.lang.String PROP_DATE_FORMAT

See Also:
  Constant Field Values

#### PROP_NCHAR_LITERAL_REPLACE

    public static final java.lang.String PROP_NCHAR_LITERAL_REPLACE

See Also:
  Constant Field Values

#### PROP_MAX_STATEMENTS_PER_SESSION

    public static final java.lang.String PROP_MAX_STATEMENTS_PER_SESSION

한 session당 생성할수 있는 최대 statement 갯수 제약

See Also:
  Constant Field Values

#### PROP_APP_INFO

    public static final java.lang.String PROP_APP_INFO

See Also:
  Constant Field Values

#### PROP_TXI_LEVEL

    public static final java.lang.String PROP_TXI_LEVEL

See Also:
  Constant Field Values

#### PROP_ALT_SERVERS

    public static final java.lang.String PROP_ALT_SERVERS

Failover를 위한 대안 서버 목록

See Also:
  Constant Field Values

#### PROP_LOAD_BALANCE

    public static final java.lang.String PROP_LOAD_BALANCE

See Also:
  Constant Field Values

#### DEFAULT_LOAD_BALANCE

    public static final boolean DEFAULT_LOAD_BALANCE

See Also:
  Constant Field Values

#### PROP_CTF_RETRY_COUNT

    public static final java.lang.String PROP_CTF_RETRY_COUNT

See Also:
  Constant Field Values

#### PROP_CTF_RETRY_DELAY

    public static final java.lang.String PROP_CTF_RETRY_DELAY

See Also:
  Constant Field Values

#### PROP_FAILOVER_USE_STF

    public static final java.lang.String PROP_FAILOVER_USE_STF

See Also:
  Constant Field Values

#### PROP_FAILOVER_SOURCE

    public static final java.lang.String PROP_FAILOVER_SOURCE

See Also:
  Constant Field Values

#### PROP_PREFER_IPV6

    public static final java.lang.String PROP_PREFER_IPV6

See Also:
  Constant Field Values

#### DEFAULT_PREFER_IPV6

    public static final boolean DEFAULT_PREFER_IPV6

See Also:
  Constant Field Values

#### PROP_CLIENT_SIDE_AUTO_COMMIT

    public static final java.lang.String PROP_CLIENT_SIDE_AUTO_COMMIT

Client Side Auto Commit 여부

See Also:
  Constant Field Values

#### DEFAULT_CLIENT_SIDE_AUTO_COMMIT

    public static final boolean DEFAULT_CLIENT_SIDE_AUTO_COMMIT

See Also:
  Constant Field Values

#### PROP_TIME_ZONE

    public static final java.lang.String PROP_TIME_ZONE

See Also:
  Constant Field Values

#### DB_TIME_ZONE

    public static final java.lang.String DB_TIME_ZONE

See Also:
  Constant Field Values

#### LOCAL_TIME_ZONE

    public static final java.lang.String LOCAL_TIME_ZONE

See Also:
  Constant Field Values

#### DEFAULT_TIME_ZONE

    public static final java.lang.String DEFAULT_TIME_ZONE

See Also:
  Constant Field Values

#### PROP_LOB_CACHE_THRESHOLD

    public static final java.lang.String PROP_LOB_CACHE_THRESHOLD

See Also:
  Constant Field Values

#### MIN_LOB_CACHE_THRESHOLD

    public static final int MIN_LOB_CACHE_THRESHOLD

See Also:
  Constant Field Values

#### MAX_LOB_CACHE_THRESHOLD

    public static final int MAX_LOB_CACHE_THRESHOLD

See Also:
  Constant Field Values

#### PROP_REMOVE_REDUNDANT_TRANSMISSION

    public static final java.lang.String PROP_REMOVE_REDUNDANT_TRANSMISSION

See Also:
  Constant Field Values

#### DEFAULT_REMOVE_REDUNDANT_TRANSMISSION

    public static final int DEFAULT_REMOVE_REDUNDANT_TRANSMISSION

See Also:
  Constant Field Values

#### PROP_DEFERRED_PREPARE

    public static final java.lang.String PROP_DEFERRED_PREPARE

deferred prepare 사용 여부

See Also:
  Constant Field Values

#### DEFAULT_DEFERRED_PREPARE

    public static final boolean DEFAULT_DEFERRED_PREPARE

See Also:
  Constant Field Values

#### PROP_FORCE_CLOB_BIND

    public static final java.lang.String PROP_FORCE_CLOB_BIND

See Also:
  Constant Field Values

#### DEFAULT_FORCE_CLOB_BIND

    public static final boolean DEFAULT_FORCE_CLOB_BIND

See Also:
  Constant Field Values

#### PROP_BATCH_SET_BYTES_USE_LOB

    public static final java.lang.String PROP_BATCH_SET_BYTES_USE_LOB

See Also:
  Constant Field Values

#### DEFAULT_BATCH_SET_BYTES_USE_LOB

    public static final boolean DEFAULT_BATCH_SET_BYTES_USE_LOB

See Also:
  Constant Field Values

#### PROP_CONNTYPE

    public static final java.lang.String PROP_CONNTYPE

PROJ-2681

See Also:
  Constant Field Values

#### DEFAULT_CONNTYPE

    public static final java.lang.String DEFAULT_CONNTYPE

See Also:
  Constant Field Values

#### PROP_IB_LATENCY

    public static final java.lang.String PROP_IB_LATENCY

See Also:
  Constant Field Values

#### DEFAULT_IB_LATENCY

    public static final int DEFAULT_IB_LATENCY

See Also:
  Constant Field Values

#### PROP_IB_CONCHKSPIN

    public static final java.lang.String PROP_IB_CONCHKSPIN

See Also:
  Constant Field Values

#### DEFAULT_IB_CONCHKSPIN

    public static final int DEFAULT_IB_CONCHKSPIN

See Also:
  Constant Field Values

#### PROP_SSL_ENABLE

    public static final java.lang.String PROP_SSL_ENABLE

PROJ-2474 ssl 보안 통신을 사용할지 여부

See Also:
  Constant Field Values

#### DEFAULT_SSL_ENABLE

    public static final boolean DEFAULT_SSL_ENABLE

See Also:
  Constant Field Values

#### PROP_FETCH_ENOUGH

    public static final java.lang.String PROP_FETCH_ENOUGH

Statement를 만들 때 기본으로 사용할 Fetch Size

See Also:
  Constant Field Values

#### DEFAULT_FETCH_ENOUGH

    public static final int DEFAULT_FETCH_ENOUGH

딱히 갯수를 정해두지 않고, 한번 통신으로 얻을 수 있을 만큼 얻는다.

See Also:
  Constant Field Values

#### PROP_SHARD_CONNTYPE

    public static final java.lang.String PROP_SHARD_CONNTYPE

See Also:
  Constant Field Values

#### PROP_SHARD_TRANSACTION_LEVEL

    public static final java.lang.String PROP_SHARD_TRANSACTION_LEVEL

See Also:
  Constant Field Values

#### DEFAULT_SHARD_TRANSACTION_LEVEL

    public static final int DEFAULT_SHARD_TRANSACTION_LEVEL

#### PROP_SHARD_PIN

    public static final java.lang.String PROP_SHARD_PIN

See Also:
  Constant Field Values

#### PROP_SHARD_NODE_NAME

    public static final java.lang.String PROP_SHARD_NODE_NAME

See Also:
  Constant Field Values

#### PROP_SHARD_META_NUMBER

    public static final java.lang.String PROP_SHARD_META_NUMBER

See Also:
  Constant Field Values

#### PROP_SHARD_LAZYCONNECT

    public static final java.lang.String PROP_SHARD_LAZYCONNECT

See Also:
  Constant Field Values

#### PROP_RESHARD_ENABLE

    public static final java.lang.String PROP_RESHARD_ENABLE

See Also:
  Constant Field Values

#### PROP_SHARD_CLIENT

    public static final java.lang.String PROP_SHARD_CLIENT

See Also:
  Constant Field Values

#### PROP_SHARD_SESSION_TYPE

    public static final java.lang.String PROP_SHARD_SESSION_TYPE

See Also:
  Constant Field Values

#### PROP_LOB_NULL_SELECT

    public static final java.lang.String PROP_LOB_NULL_SELECT

See Also:
  Constant Field Values

#### PROP_REUSE_RESULTSET

    public static final java.lang.String PROP_REUSE_RESULTSET

See Also:
  Constant Field Values

#### MAX_FETCH_ENOUGH

    public static final int MAX_FETCH_ENOUGH

See Also:
  Constant Field Values

#### RANGE_FETCH_ENOUGH

    public static final java.lang.String RANGE_FETCH_ENOUGH

See Also:
  Constant Field Values

#### PROP_FETCH_ASYNC

    public static final java.lang.String PROP_FETCH_ASYNC

See Also:
  Constant Field Values

#### PROP_FETCH_AUTO_TUNING

    public static final java.lang.String PROP_FETCH_AUTO_TUNING

See Also:
  Constant Field Values

#### PROP_FETCH_AUTO_TUNING_INIT

    public static final java.lang.String PROP_FETCH_AUTO_TUNING_INIT

See Also:
  Constant Field Values

#### PROP_FETCH_AUTO_TUNING_MIN

    public static final java.lang.String PROP_FETCH_AUTO_TUNING_MIN

See Also:
  Constant Field Values

#### PROP_FETCH_AUTO_TUNING_MAX

    public static final java.lang.String PROP_FETCH_AUTO_TUNING_MAX

See Also:
  Constant Field Values

#### PROP_SOCK_RCVBUF_BLOCK_RATIO

    public static final java.lang.String PROP_SOCK_RCVBUF_BLOCK_RATIO

See Also:
  Constant Field Values

#### PROP_VALUE_FETCH_ASYNC_OFF

    public static final java.lang.String PROP_VALUE_FETCH_ASYNC_OFF

See Also:
  Constant Field Values

#### PROP_VALUE_FETCH_ASYNC_PREFERRED

    public static final java.lang.String PROP_VALUE_FETCH_ASYNC_PREFERRED

See Also:
  Constant Field Values

#### PROP_GETPROCEDURES_RETURN_FUNCTIONS

    public static final java.lang.String PROP_GETPROCEDURES_RETURN_FUNCTIONS

See Also:
  Constant Field Values

#### PROP_GETCOLUMNS_RETURN_JDBCTYPE

    public static final java.lang.String PROP_GETCOLUMNS_RETURN_JDBCTYPE

See Also:
  Constant Field Values

#### DEFAULT_FETCH_ASYNC

    public static final java.lang.String DEFAULT_FETCH_ASYNC

See Also:
  Constant Field Values

#### DEFAULT_FETCH_AUTO_TUNING

    public static final boolean DEFAULT_FETCH_AUTO_TUNING

See Also:
  Constant Field Values

#### DEFAULT_FETCH_AUTO_TUNING_INIT

    public static final int DEFAULT_FETCH_AUTO_TUNING_INIT

See Also:
  Constant Field Values

#### DEFAULT_FETCH_AUTO_TUNING_MIN

    public static final int DEFAULT_FETCH_AUTO_TUNING_MIN

See Also:
  Constant Field Values

#### DEFAULT_FETCH_AUTO_TUNING_MAX

    public static final int DEFAULT_FETCH_AUTO_TUNING_MAX

See Also:
  Constant Field Values

#### DEFAULT_SOCK_RCVBUF_BLOCK_RATIO

    public static final int DEFAULT_SOCK_RCVBUF_BLOCK_RATIO

See Also:
  Constant Field Values

#### MIN_SOCK_RCVBUF_BLOCK_RATIO

    public static final int MIN_SOCK_RCVBUF_BLOCK_RATIO

See Also:
  Constant Field Values

#### MAX_SOCK_RCVBUF_BLOCK_RATIO

    public static final int MAX_SOCK_RCVBUF_BLOCK_RATIO

See Also:
  Constant Field Values

#### DEFAULT_SERVER

    public static final java.lang.String DEFAULT_SERVER

See Also:
  Constant Field Values

#### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

#### DEFAULT_SSL_PORT

    public static final int DEFAULT_SSL_PORT

See Also:
  Constant Field Values

#### DEFAULT_IB_PORT

    public static final int DEFAULT_IB_PORT

See Also:
  Constant Field Values

#### DEFAULT_DBNAME

    public static final java.lang.String DEFAULT_DBNAME

See Also:
  Constant Field Values

#### DEFAULT_LOGIN_TIMEOUT

    public static final int DEFAULT_LOGIN_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_AUTO_COMMIT

    public static final boolean DEFAULT_AUTO_COMMIT

See Also:
  Constant Field Values

#### DEFAULT_NCHAR_LITERAL_REPLACE

    public static final boolean DEFAULT_NCHAR_LITERAL_REPLACE

See Also:
  Constant Field Values

#### DEFAULT_FAILOVER_USE_STF

    public static final boolean DEFAULT_FAILOVER_USE_STF

See Also:
  Constant Field Values

#### PROP_CODE_CLIENT_PACKAGE_VERSION

    public static final byte PROP_CODE_CLIENT_PACKAGE_VERSION

See Also:
  Constant Field Values

#### PROP_CODE_CLIENT_PROTOCOL_VERSION

    public static final byte PROP_CODE_CLIENT_PROTOCOL_VERSION

See Also:
  Constant Field Values

#### PROP_CODE_CLIENT_PID

    public static final byte PROP_CODE_CLIENT_PID

See Also:
  Constant Field Values

#### PROP_CODE_CLIENT_TYPE

    public static final byte PROP_CODE_CLIENT_TYPE

See Also:
  Constant Field Values

#### PROP_CODE_APP_INFO

    public static final byte PROP_CODE_APP_INFO

See Also:
  Constant Field Values

#### PROP_CODE_NLS

    public static final byte PROP_CODE_NLS

See Also:
  Constant Field Values

#### PROP_CODE_AUTOCOMMIT

    public static final byte PROP_CODE_AUTOCOMMIT

See Also:
  Constant Field Values

#### PROP_CODE_EXPLAIN_PLAN

    public static final byte PROP_CODE_EXPLAIN_PLAN

See Also:
  Constant Field Values

#### PROP_CODE_ISOLATION_LEVEL

    public static final byte PROP_CODE_ISOLATION_LEVEL

See Also:
  Constant Field Values

#### PROP_CODE_OPTIMIZER_MODE

    public static final byte PROP_CODE_OPTIMIZER_MODE

See Also:
  Constant Field Values

#### PROP_CODE_HEADER_DISPLAY_MODE

    public static final byte PROP_CODE_HEADER_DISPLAY_MODE

See Also:
  Constant Field Values

#### PROP_CODE_STACK_SIZE

    public static final byte PROP_CODE_STACK_SIZE

See Also:
  Constant Field Values

#### PROP_CODE_IDLE_TIMEOUT

    public static final byte PROP_CODE_IDLE_TIMEOUT

See Also:
  Constant Field Values

#### PROP_CODE_QUERY_TIMEOUT

    public static final byte PROP_CODE_QUERY_TIMEOUT

See Also:
  Constant Field Values

#### PROP_CODE_FETCH_TIMEOUT

    public static final byte PROP_CODE_FETCH_TIMEOUT

See Also:
  Constant Field Values

#### PROP_CODE_UTRANS_TIMEOUT

    public static final byte PROP_CODE_UTRANS_TIMEOUT

See Also:
  Constant Field Values

#### PROP_CODE_DATE_FORMAT

    public static final byte PROP_CODE_DATE_FORMAT

See Also:
  Constant Field Values

#### PROP_CODE_NORMALFORM_MAXIMUM

    public static final byte PROP_CODE_NORMALFORM_MAXIMUM

See Also:
  Constant Field Values

#### PROP_CODE_SERVER_PACKAGE_VERSION

    public static final byte PROP_CODE_SERVER_PACKAGE_VERSION

See Also:
  Constant Field Values

#### PROP_CODE_NLS_NCHAR_LITERAL_REPLACE

    public static final byte PROP_CODE_NLS_NCHAR_LITERAL_REPLACE

See Also:
  Constant Field Values

#### PROP_CODE_NLS_CHARACTERSET

    public static final byte PROP_CODE_NLS_CHARACTERSET

See Also:
  Constant Field Values

#### PROP_CODE_NLS_NCHAR_CHARACTERSET

    public static final byte PROP_CODE_NLS_NCHAR_CHARACTERSET

See Also:
  Constant Field Values

#### PROP_CODE_ENDIAN

    public static final byte PROP_CODE_ENDIAN

See Also:
  Constant Field Values

#### PROP_CODE_MAX_STATEMENTS_PER_SESSION

    public static final byte PROP_CODE_MAX_STATEMENTS_PER_SESSION

See Also:
  Constant Field Values

#### PROP_CODE_FAILOVER_SOURCE

    public static final byte PROP_CODE_FAILOVER_SOURCE

See Also:
  Constant Field Values

#### PROP_CODE_DDL_TIMEOUT

    public static final byte PROP_CODE_DDL_TIMEOUT

See Also:
  Constant Field Values

#### PROP_CODE_TIME_ZONE

    public static final byte PROP_CODE_TIME_ZONE

See Also:
  Constant Field Values

#### PROP_CODE_FETCH_PROTOCOL_TYPE

    public static final byte PROP_CODE_FETCH_PROTOCOL_TYPE

See Also:
  Constant Field Values

#### PROP_CODE_REMOVE_REDUNDANT_TRANSMISSION

    public static final byte PROP_CODE_REMOVE_REDUNDANT_TRANSMISSION

See Also:
  Constant Field Values

#### PROP_CODE_LOB_CACHE_THRESHOLD

    public static final byte PROP_CODE_LOB_CACHE_THRESHOLD

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_NODE_NAME

    public static final byte PROP_CODE_SHARD_NODE_NAME

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_PIN

    public static final byte PROP_CODE_SHARD_PIN

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_TRANSACTION_LEVEL

    public static final byte PROP_CODE_SHARD_TRANSACTION_LEVEL

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_META_NUMBER

    public static final byte PROP_CODE_SHARD_META_NUMBER

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_CLIENT

    public static final byte PROP_CODE_SHARD_CLIENT

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_SESSION_TYPE

    public static final byte PROP_CODE_SHARD_SESSION_TYPE

See Also:
  Constant Field Values

#### PROP_CODE_SHARD_CLIENT_CONNECTION_REPORT

    public static final byte PROP_CODE_SHARD_CLIENT_CONNECTION_REPORT

See Also:
  Constant Field Values

#### PROP_CODE_MESSAGE_CALLBACK

    public static final byte PROP_CODE_MESSAGE_CALLBACK

See Also:
  Constant Field Values

#### PROP_CODE_MAX

    public static final byte PROP_CODE_MAX

See Also:
  Constant Field Values

### Constructor Detail

#### AltibaseProperties

    public AltibaseProperties()

#### AltibaseProperties

    public AltibaseProperties(java.util.Properties aProp)

### Method Detail

#### createProperties

    protected java.util.Properties createProperties()

Overrides:
  `createProperties` in class `CaseInsensitiveProperties`

#### put

    public java.lang.Object put(java.lang.Object aKey,
                                java.lang.Object aValue)

Specified by:
  `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `put` in class `CaseInsensitiveProperties`

#### isSet

    public boolean isSet(java.lang.String aKey)

#### getIntProperty

    public int getIntProperty(java.lang.String aKey)

속성 값을 `int`로 얻는다.

Parameters:
  `aKey` - 키값
Returns:
  `int`로 변환한 속성값, 속성값이 지정되어있지 않거나 올바르지 않은 포맷이면 0

#### getIntProperty

    public int getIntProperty(java.lang.String aKey,
                              int aDefaultValue)

속성 값을 `int`로 얻는다.

Parameters:
  `aKey` - 키값
  `aDefaultValue` - 기본값
Returns:
  `int`로 변환한 속성값, 속성값이 지정되어있지 않거나 올바르지 않은 포맷이면 기본값

#### getShortProperty

    public short getShortProperty(java.lang.String aKey)

속성 값을 `short`으로 얻는다.

Parameters:
  `aKey` - 키값
Returns:
  `short`으로 변환한 속성값, 속성값이 지정되어있지 않거나 올바르지 않은 포맷이면 0

#### getShortProperty

    public short getShortProperty(java.lang.String aKey,
                                  short aDefaultValue)

속성 값을 `short`으로 얻는다.

Parameters:
  `aKey` - 키값
  `aDefaultValue` - 기본값
Returns:
  `short`으로 변환한 속성값, 속성값이 지정되어있지 않거나 올바르지 않은 포맷이면 기본값

#### getLongProperty

    public long getLongProperty(java.lang.String aKey)

속성 값을 `long`로 얻는다.

Parameters:
  `aKey` - 키값
Returns:
  `long`로 변환한 속성값, 속성값이 지정되어있지 않거나 올바르지 않은 포맷이면 0

#### getLongProperty

    public long getLongProperty(java.lang.String aKey,
                                long aDefaultValue)

속성 값을 `long`으로 얻는다.

Parameters:
  `aKey` - 키값
  `aDefaultValue` - 기본값
Returns:
  `long`으로 변환한 속성값, 속성값이 지정되어있지 않거나 올바르지 않은 포맷이면 기본값

#### getBooleanProperty

    public boolean getBooleanProperty(java.lang.String aKey)

속성 값을 `booelan`으로 얻는다.

Parameters:
  `aKey` - 키값
Returns:
  `booelan`로 변환한 속성값, 속성값이 지정되어있지 않거나 속성값을 `true`라고 추정할 수 없다면 `false`

#### getBooleanProperty

    public boolean getBooleanProperty(java.lang.String aKey,
                                      boolean aDefaultValue)

속성 값을 `booelan`으로 얻는다.

Parameters:
  `aKey` - 키값
  `aDefaultValue` - 기본값
Returns:
  `true`라고 추정할 수 있는 값(1, TRUE, T, ON, O, YES, Y)이면 `true`, 아니면 `false`. 속성값이 지정되어있지 않다면 기본값

#### setProperty

    public java.lang.Object setProperty(java.lang.String aKey,
                                        boolean aValue)

`boolean`으로 속성값을 설정한다.

Parameters:
  `aKey` - 속성 구별을 위한 키값
  `aValue` - 키값에 설정할 값
Returns:
  이전에 설정되있던 값. 만약 전에 설정되어있던 값이 없었다면 null.

#### setProperty

    public java.lang.Object setProperty(java.lang.String aKey,
                                        int aValue)

`int`으로 속성값을 설정한다.

Parameters:
  `aKey` - 속성 구별을 위한 키값
  `aValue` - 키값에 설정할 값
Returns:
  이전에 설정되있던 값. 만약 전에 설정되어있던 값이 없었다면 null.

#### setProperty

    public java.lang.Object setProperty(java.lang.String aKey,
                                        short aValue)

`short`으로 속성값을 설정한다.

Parameters:
  `aKey` - 속성 구별을 위한 키값
  `aValue` - 키값에 설정할 값
Returns:
  이전에 설정되있던 값. 만약 전에 설정되어있던 값이 없었다면 null.

#### getServer

    public java.lang.String getServer()

#### setServer

    public void setServer(java.lang.String aServer)

#### getSockBindAddr

    public java.lang.String getSockBindAddr()

#### setSockBindAddr

    public void setSockBindAddr(java.lang.String aSockBindAddr)

#### getPort

    public int getPort()

#### setPort

    public void setPort(int aPort)

#### getDatabase

    public java.lang.String getDatabase()

#### setDatabase

    public void setDatabase(java.lang.String aDatabase)

#### getUser

    public java.lang.String getUser()

#### setUser

    public void setUser(java.lang.String aUser)

#### getPassword

    public java.lang.String getPassword()

#### setPassword

    public void setPassword(java.lang.String aPassword)

#### getPrivilege

    public java.lang.String getPrivilege()

#### getPrivilege

    public void getPrivilege(java.lang.String aPrivilege)

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription(java.lang.String aDescription)

#### getDataSource

    public java.lang.String getDataSource()

#### getShardNodeName

    public java.lang.String getShardNodeName()

#### getShardPin

    public long getShardPin()

#### getShardClient

    public byte getShardClient()

#### getShardSessionType

    public byte getShardSessionType()

#### setDataSource

    public void setDataSource(java.lang.String aDataSource)

#### getLoginTimeout

    public int getLoginTimeout()

#### setLoginTimeout

    public void setLoginTimeout(int aLoginTimeout)

#### getResponseTimeout

    public int getResponseTimeout()

#### setResponseTimeout

    public void setResponseTimeout(int aResponseTimeout)

#### getQueryTimeout

    public int getQueryTimeout()

#### setQueryTimeout

    public void setQueryTimeout(int aQueryTimeout)

#### getIdleTimeout

    public int getIdleTimeout()

#### setIdleTimeout

    public void setIdleTimeout(int aIdleTimeout)

#### getFetchTimeout

    public int getFetchTimeout()

#### setFetchTimeout

    public void setFetchTimeout(int aFetchTimeout)

#### getUtransTimeout

    public int getUtransTimeout()

#### setUtransTimeout

    public void setUtransTimeout(int aUtransTimeout)

#### isAutoCommit

    public boolean isAutoCommit()

#### setAutoCommit

    public void setAutoCommit(boolean aAutoCommit)

#### getDateFormat

    public java.lang.String getDateFormat()

#### setDateFormat

    public void setDateFormat(java.lang.String aDateFormat)

#### useNCharLiteralReplace

    public boolean useNCharLiteralReplace()

#### setNCharLiteralReplace

    public void setNCharLiteralReplace(boolean aNCharLiteralReplace)

#### getMaxStatementsPerSession

    public int getMaxStatementsPerSession()

#### setMaxStatementsPerSession

    public void setMaxStatementsPerSession(int aMaxStatementsPerSession)

#### getAppInfo

    public java.lang.String getAppInfo()

#### setAppInfo

    public void setAppInfo(java.lang.String aAppInfo)

#### getIsolationLevel

    public int getIsolationLevel()

#### setIsolationLevel

    public void setIsolationLevel(int aIsolationLevel)

#### getAlternateServer

    public java.lang.String getAlternateServer()

#### setAlternateServer

    public void setAlternateServer(java.lang.String aAlternateServer)

#### useLoadBalance

    public boolean useLoadBalance()

#### setLoadBalance

    public void setLoadBalance(boolean aLoadBalance)

#### getConnectionRetryCount

    public int getConnectionRetryCount()

#### getConnectionRetryCount

    public void getConnectionRetryCount(int aConnectionRetryCount)

#### getConnectionRetryDelay

    public int getConnectionRetryDelay()

#### setConnectionRetryDelay

    public void setConnectionRetryDelay(int aConnectionRetryDelay)

#### getFailoverSource

    public java.lang.String getFailoverSource()

#### setFailoverSource

    public void setFailoverSource(java.lang.String aFailoverSource)

#### useSessionFailover

    public boolean useSessionFailover()

#### setSessionFailover

    public void setSessionFailover(boolean aSessionFailover)

#### getTimeZone

    public java.lang.String getTimeZone()

#### setTimeZone

    public void setTimeZone(java.lang.String aTimeZone)

#### getFetchEnough

    public int getFetchEnough()

#### getShardTransactionLevel

    public ShardTransactionLevel getShardTransactionLevel()

#### setFetchEnough

    public void setFetchEnough(int aFetchEnough)

#### isPreferIPv6

    public boolean isPreferIPv6()

#### setPreferIPv6

    public void setPreferIPv6(boolean aPreferIPv6)

#### isClientSideAutoCommit

    public boolean isClientSideAutoCommit()

ClientAutoCommit이 셋팅되어 있는지 확인한다.

Returns:
  true clientside_auto_commit이 활성화되어 있다.
  false clientside_auto_commit 이 false이거나 셋팅되지 않았을때

#### isDeferredPrepare

    public boolean isDeferredPrepare()

Deferred Prepare가 활성화 되어 있는지 확인한다.

Returns:

#### forceClobBind

    public boolean forceClobBind()

#### isOnRedundantDataTransmission

    public boolean isOnRedundantDataTransmission()

#### getLobCacheThreshold

    public int getLobCacheThreshold()

#### getFetchAsync

    public java.lang.String getFetchAsync()

Property 로 설정된 비동기 fetch 방식을 얻는다.

Returns:
  `0`, if synchronous prefetch. `1`, if semi-async prefetch.

#### isFetchAutoTuning

    public boolean isFetchAutoTuning()

Property 로 설정된 auto-tuning 활성화 여부를 확인한다.

Returns:
  `true`, if auto-tuning is enable. `false`, otherwise.

#### setFetchAutoTuning

    public void setFetchAutoTuning(boolean aIsFetchAutoTuning)

Property 에 fetch auto-tuning 여부를 설정한다.

#### getFetchAutoTuningInit

    public int getFetchAutoTuningInit()

Property 로 설정된 auto-tuning 시작시 초기 prefetch rows 를 얻는다.

#### getFetchAutoTuningMin

    public int getFetchAutoTuningMin()

Property 로 설정된 auto-tuning 동작시 최소 제한 크기의 prefetch rows 를 얻는다.

#### getFetchAutoTuningMax

    public int getFetchAutoTuningMax()

Property 로 설정된 auto-tuning 동작시 최대 제한 크기의 prefetch rows 를 얻는다.

#### getSockRcvBufBlockRatio

    public int getSockRcvBufBlockRatio()

Property 로 설정한 socket receive buffer 크기의 CM block 비율을 얻는다.

#### setSockRcvBufBlockRatio

    public void setSockRcvBufBlockRatio(int aSockRcvBufBlockRatio)

Property 에 socket receive buffer 크기의 CM block 비율을 설정한다.

#### sslEnabledToConnType

    public void sslEnabledToConnType()

#### getConnType

    public java.lang.String getConnType()

#### getShardConnType

    public java.lang.String getShardConnType()

#### isShardLazyConnectEnabled

    public boolean isShardLazyConnectEnabled()

#### isReshardEnabled

    public boolean isReshardEnabled()

#### setConnType

    public void setConnType(java.lang.String aConnType)

#### getIBLatency

    public int getIBLatency()

#### getIBConChkSpin

    public int getIBConChkSpin()

#### valueOf

    public static AltibaseProperties valueOf(java.lang.String aPropStr)

문자열을 객체로 변환한다.

Parameters:
  `aPropStr` - `Hashtable.toString()`와 같은 "{key1=val1, key2=val2, ...}" 형태의 문자열.
Returns:
  문자열로부터 생성한 AltibaseProperties 객체

#### toPropertyInfo

    public static java.sql.DriverPropertyInfo[] toPropertyInfo(java.util.Properties aProp)

#### toPropertyInfo

    public java.sql.DriverPropertyInfo[] toPropertyInfo()

#### getBatchSetBytesUseLob

    public boolean getBatchSetBytesUseLob()